net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.crosstabs.xml.JRCrosstabFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabFactory
      extends JRBaseFactory

  Version:
    $Id: JRCrosstabFactory.java 6874 2014-02-07 11:24:22Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_columnBreakOffset`
    `static java.lang.String` | `ATTRIBUTE_ignoreWidth`
    `static java.lang.String` | `ATTRIBUTE_isRepeatColumnHeaders`
    `static java.lang.String` | `ATTRIBUTE_isRepeatRowHeaders`
    `static java.lang.String` | `ELEMENT_crosstab`
    `static java.lang.String` | `ELEMENT_crosstabHeaderCell`
    `static java.lang.String` | `ELEMENT_parametersMapExpression`
    `static java.lang.String` | `ELEMENT_titleCell`
    `static java.lang.String` | `ELEMENT_whenNoDataCell`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_crosstab

          public static final java.lang.String ELEMENT_crosstab

      See Also:
        Constant Field Values

    - #### ELEMENT_titleCell

          public static final java.lang.String ELEMENT_titleCell

      See Also:
        Constant Field Values

    - #### ELEMENT_whenNoDataCell

          public static final java.lang.String ELEMENT_whenNoDataCell

      See Also:
        Constant Field Values

    - #### ELEMENT_crosstabHeaderCell

          public static final java.lang.String ELEMENT_crosstabHeaderCell

      See Also:
        Constant Field Values

    - #### ELEMENT_parametersMapExpression

          public static final java.lang.String ELEMENT_parametersMapExpression

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_columnBreakOffset

          public static final java.lang.String ATTRIBUTE_columnBreakOffset

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_isRepeatColumnHeaders

          public static final java.lang.String ATTRIBUTE_isRepeatColumnHeaders

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_isRepeatRowHeaders

          public static final java.lang.String ATTRIBUTE_isRepeatRowHeaders

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_ignoreWidth

          public static final java.lang.String ATTRIBUTE_ignoreWidth

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabFactory

          public JRCrosstabFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com